![]() | PolyBeam Class |
The PolyBeam class represents a continuous beam with a contour as input.

SystemObject
Tekla.Structures.ModelObject
Tekla.Structures.ModelModelObject
Tekla.Structures.ModelPart
Tekla.Structures.ModelPolyBeam
Tekla.Structures.ModelObject
Tekla.Structures.ModelModelObject
Tekla.Structures.ModelPart
Tekla.Structures.ModelPolyBeam
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.1

The PolyBeam type exposes the following members.

Name | Description | |
---|---|---|
![]() | PolyBeam |
Initializes a new instance of the PolyBeam class.
|
![]() | PolyBeam(PolyBeamPolyBeamTypeEnum) |
Initializes a new instance of the PolyBeam class by using the defined type.
|

Name | Description | |
---|---|---|
![]() | AssemblyNumber |
Gets or sets the assembly number.
Defines the numbering in the assembly sense.
(Inherited from Part.) |
![]() | CastUnitType |
Gets or sets the cast unit type of the part.
(Inherited from Part.) |
![]() | Class |
Gets or sets the class of the part.
(Inherited from Part.) |
![]() | Contour |
Gets or sets the contour for the polybeam.
|
![]() | DeformingData |
Gets or sets the deforming data of the part.
(Inherited from Part.) |
![]() | Finish |
Gets or sets the finish of the part.
(Inherited from Part.) |
![]() | Identifier |
The identifier of the object.
(Inherited from Object.) |
![]() | IsUpToDate | Gets if the object does not have a modification which is not shared. (Inherited from ModelObject.) |
![]() | Material |
Gets or sets the material the part is made of.
(Inherited from Part.) |
![]() | ModificationTime | Gets latest time of the object was modified or created. (Inherited from ModelObject.) |
![]() | Name |
Gets or sets the name of the part.
(Inherited from Part.) |
![]() | PartNumber |
Gets or sets the part number.
Defines the numbering in the part sense.
(Inherited from Part.) |
![]() | Position |
Gets or sets the part position.
Defines the way the part is positioned in the model.
(Inherited from Part.) |
![]() | PourPhase |
Gets or sets the pour phase of the part.
(Inherited from Part.) |
![]() | Profile |
Gets or sets the profile of the part.
(Inherited from Part.) |
![]() | Type |
Gets the read only type of the polybeam.
The default type for a new polybeam instance is beam.
|

Name | Description | |
---|---|---|
![]() | AddContourPoint |
Adds a contour point to the polybeam.
|
![]() | CompareTo(Object) |
Compares Identifiers of model objects.
(Inherited from ModelObject.) |
![]() | CompareTo(Part) |
Compares the instantiated part with another one.
(Inherited from Part.) |
![]() | Delete |
Deletes the polybeam instance with the given identifier from the model database.
(Overrides ModelObjectDelete.) |
![]() | Equals |
Check if Identifiers of model objects are same.
(Inherited from ModelObject.) |
![]() ![]() | GetAllReportProperties |
Retrieves all properties for the model object in one hashtable.
Type for the returned value must be checked using type casting.
(Inherited from ModelObject.) |
![]() | GetAllUserProperties |
Retrieves all properties for the model object in one hashtable.
Type for the returned value must be checked using type casting.
(Inherited from ModelObject.) |
![]() | GetAssembly |
Returns the assembly that the part belongs to.
(Inherited from Part.) |
![]() | GetBolts |
Returns an enumerator of all the connected bolts.
(Inherited from Part.) |
![]() | GetBooleans |
Returns an enumerator of all the connected boolean objects.
(Inherited from Part.) |
![]() | GetCenterLine | Returns the center line for the given part. (Inherited from Part.) |
![]() | GetCenterLinePolycurve |
Get centerline as polycurve
|
![]() | GetChildren |
Returns an enumerator of all the children model objects.
(Inherited from ModelObject.) |
![]() | GetComponents |
Returns an enumerator of all the connected components, connections,
seams and details inherited from the base component.
(Inherited from Part.) |
![]() | GetCoordinateSystem |
Returns the coordinate system for the given model object.
(Inherited from ModelObject.) |
![]() | GetDoubleReportProperties |
Retrieves multiple double report properties for the model object. It is faster
to fetch multiple properties at once.
(Inherited from ModelObject.) |
![]() | GetDoubleUserProperties |
Retrieves all double properties for the model object.
(Inherited from ModelObject.) |
![]() | GetDSTVCoordinateSystem |
Get DSTV coordinate system.
(Inherited from Part.) |
![]() | GetDynamicStringProperty |
Gets a dynamic string property from the model object.
(Inherited from ModelObject.) |
![]() | GetFatherComponent |
Returns the father component of the model object.
(Inherited from ModelObject.) |
![]() | GetHierarchicObjects |
Returns an enumerator of all the connected hierarchic objects.
(Inherited from ModelObject.) |
![]() | GetIntegerReportProperties |
Retrieves multiple integer report properties for the model object. It is faster
to fetch multiple properties at once.
(Inherited from ModelObject.) |
![]() | GetIntegerUserProperties |
Retrieves all integer properties for the model object.
(Inherited from ModelObject.) |
![]() | GetPartMark |
Returns the part mark.
(Inherited from Part.) |
![]() | GetPhase |
Retrieves the phase of the model object (the phase number, the phase name,
the phase comment and whether the phase is the current one or not).
(Inherited from ModelObject.) |
![]() | GetPolybeamCoordinateSystems | Returns a list of coordinate systems for the polybeam segments. |
![]() | GetPours |
Returns an enumerator of all the pours that the part belongs to.
(Inherited from Part.) |
![]() | GetReferenceLine | Returns the reference line for the given part. (Inherited from Part.) |
![]() | GetReinforcements |
Returns an enumerator of all the connected reinforcements.
(Inherited from Part.) |
![]() | GetReportProperty(String, Double) |
Retrieves a double property of the report for the model object.
(Inherited from ModelObject.) |
![]() | GetReportProperty(String, Int32) |
Retrieves an integer property of the report for the model object.
(Inherited from ModelObject.) |
![]() | GetReportProperty(String, String) |
Retrieves a string property of the report for the model object.
(Inherited from ModelObject.) |
![]() | GetSolid |
Returns the solid of the part.
(Inherited from Part.) |
![]() | GetSolid(FormingStates) |
Returns the solid of the part.
(Inherited from Part.) |
![]() | GetSolid(SolidSolidCreationTypeEnum) |
Returns the solid of the part.
(Inherited from Part.) |
![]() | GetStringReportProperties |
Retrieves multiple string report properties for the model object. It is faster
to fetch multiple properties at once.
(Inherited from ModelObject.) |
![]() | GetStringUserProperties |
Retrieves all string properties for the model object.
(Inherited from ModelObject.) |
![]() | GetSurfaceObjects |
Returns an enumerator of all the connected surface objects.
(Inherited from Part.) |
![]() | GetSurfaceTreatments |
Returns an enumerator of all the connected surface treatments.
(Inherited from Part.) |
![]() | GetUserProperty(String, Double) |
Retrieves a double property for the model object.
(Inherited from ModelObject.) |
![]() | GetUserProperty(String, Int32) |
Retrieves an integer property for the model object.
(Inherited from ModelObject.) |
![]() | GetUserProperty(String, String) |
Retrieves a string property for the model object.
(Inherited from ModelObject.) |
![]() | GetWelds |
Returns an enumerator of all the connected welds.
(Inherited from Part.) |
![]() | Insert |
Inserts the polybeam into the model database. All the attributes must be set.
(Overrides ModelObjectInsert.) |
![]() | Modify |
Modifies the existing polybeam in the model database to match the current one.
(Overrides ModelObjectModify.) |
![]() | Select |
Selects a polybeam from the model database. The identifier of the polybeam must be set.
(Overrides ModelObjectSelect.) |
![]() | SetDynamicStringProperty |
Sets a dynamic string property for the model object.
(Inherited from ModelObject.) |
![]() | SetLabel |
Sets a label for an object when a new instance is created, this method must be called before Insert.
The label is used in plug-ins for identifying the changed object in modification.
(Inherited from ModelObject.) |
![]() | SetPhase |
Sets the phase of the model object.
(Inherited from ModelObject.) |
![]() | SetUserProperties |
Sets multiple properties for the model object.
(Inherited from ModelObject.) |
![]() | SetUserProperty(String, Double) |
Sets a double property for the model object.
(Inherited from ModelObject.) |
![]() | SetUserProperty(String, Int32) |
Sets an integer property for the model object.
(Inherited from ModelObject.) |
![]() | SetUserProperty(String, String) |
Sets a string property for the model object.
(Inherited from ModelObject.) |

using Tekla.Structures.Model; using Tekla.Structures.Geometry3d; public class Example { public void Example1() { ContourPoint point = new ContourPoint(new Point(0,2000,0), null); ContourPoint point2 = new ContourPoint(new Point(2000,2000,0), null); ContourPoint point3 = new ContourPoint(new Point(0,4000,0), null); PolyBeam PolyBeam = new PolyBeam(); PolyBeam.AddContourPoint(point); PolyBeam.AddContourPoint(point2); PolyBeam.AddContourPoint(point3); PolyBeam.Profile.ProfileString = "HEA400"; PolyBeam.Finish = "PAINT"; bool Result = false; Result = PolyBeam.Insert(); } }
